Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sf.statsvn.ant
Class AntTaskLogger

    java.lang.Object
      net.sf.statsvn.ant.AntTaskLogger

All Implemented Interfaces:
  TaskLogger

    public final class AntTaskLogger

extends Object
implements TaskLogger

This class wraps up an Ant task which is going to be used to log some text when the tool is used with Ant.

Author:
  Benoit Xhenseval

Method Summary
`void` | `error(String arg)` Uses the Ant mechanism to log the text.
`void` | `info(String arg)` Uses the Ant mechanism to log the text.
`void` | `log(String text)` Uses the Ant mechanism to log the text.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### log

    public void log(String text)

  Uses the Ant mechanism to log the text.

  Specified by:
    `log` in interface `TaskLogger`
  Parameters:
    `text` - to be logged.

### error

    public void error(String arg)

  Uses the Ant mechanism to log the text.

  Specified by:
    `error` in interface `TaskLogger`
  Parameters:
    `text` - to be logged.

### info

    public void info(String arg)

  Uses the Ant mechanism to log the text.

  Specified by:
    `info` in interface `TaskLogger`
  Parameters:
    `text` - to be logged.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD